<?xml version="1.0" encoding="UTF-8"?>
<module name="org.jboss.as.cli" xmlns="urn:jboss:module:1.5">
    <properties>
        <property name="jboss.api" value="private"/>
        <property name="jboss.require-java-version" value="1.8"/>
    </properties>

    <main-class name="org.jboss.as.cli.CommandLineMain"/>

    <resources>
        <artifact name="org.wildfly.core:wildfly-cli:6.0.2.Final"/>
        <artifact name="org.infinispan.server:infinispan-server-cli:9.4.9.Final"/>
    </resources>

    <dependencies>
        <!-- for java.beans -->
        <module name="java.datatransfer"/>
        <module name="java.desktop"/>
        <module name="java.logging"/>
        <module name="java.management"/>
        <module name="java.prefs"/>
        <module name="java.security.sasl"/>
        <module name="java.xml"/>
        <module name="jdk.jconsole"/>

        <module name="org.aesh" export="true"/>
        <module name="org.jboss.modules"/>
        <module name="org.jboss.stdio"/>
        <module name="org.jboss.as.controller-client"/>
        <module name="org.jboss.as.protocol"/>
        <module name="org.wildfly.security.manager"/>
        <module name="org.jboss.as.patching.cli" optional="true" services="import"/>
        <module name="org.jboss.dmr"/>
        <module name="org.jboss.logging" slot="ispn-9.4"/>
        <module name="org.jboss.logmanager" services="import"/>
        <module name="org.jboss.remoting"/>
        <module name="org.jboss.staxmapper"/>
        <module name="org.jboss.stdio"/>
        <module name="org.jboss.threads"/>
        <module name="org.jboss.vfs"/>
        <module name="org.wildfly.embedded"/>
        <module name="org.wildfly.security.elytron-private"/>
    </dependencies>
</module>
